import { useContext, useLayoutEffect, useState } from 'react';
import { ScrollContext } from './ScrollManager';
export default function useScrollContainer(scrollKey) {
  const ctx = useContext(ScrollContext);
  const register = ctx == null ? void 0 : ctx.registerScrollElement;
  const [element, attachRef] = useState(null);
  useLayoutEffect(() => {
    if (element && scrollKey) {
      return register == null ? void 0 : register(scrollKey, element);
    }

    return undefined;
  }, [register, element, scrollKey]);
  return attachRef;
}