"use strict";

exports.__esModule = true;
exports.default = useScrollContainer;

var _react = require("react");

var _ScrollManager = require("./ScrollManager");

function useScrollContainer(scrollKey) {
  const ctx = (0, _react.useContext)(_ScrollManager.ScrollContext);
  const register = ctx == null ? void 0 : ctx.registerScrollElement;
  const [element, attachRef] = (0, _react.useState)(null);
  (0, _react.useLayoutEffect)(() => {
    if (element && scrollKey) {
      return register == null ? void 0 : register(scrollKey, element);
    }

    return undefined;
  }, [register, element, scrollKey]);
  return attachRef;
}

module.exports = exports.default;